LINUXGAMES

Lux 5.2

December 16th, 2005 by Lightkey

Sillysoft Games has announced the release of the Risk-alike game Lux version 5.2 along with a new release of their SDK for AI opponents:

Lux 5.2 is now available for your world domination pleasure. This is a free update for all registered users and you can download it here: http://sillysoft.net/download/

This update comes jam-packed with improvements. There are some graphical enhancements and new visual effects. More network commands were added, translation of network messages was improved, and autohosting was given a booster shot. Plus a lot of other stuff was included (i.e. option+control click places 50 armies). A full list of the 5.2 changes can be seen here: http://sillysoft.net/lux/changelog.php

A new version of the AI software developer kit is also now available.
This SDK contains everything you need to write an AI for Lux using the Java programming language. This updated version includes an improvedAPI allowing AIs to get more information about the board, and better send/receive chat messages. Updated example code is also provided.
The SDK can be downloaded from here: http://sillysoft.net/sdk/

4 Responses to “Lux 5.2”

  1. kinnaz Says:

    i get somekind of strange java error when running linux version :|

  2. Marv Says:

    Post the java error

    MM

  3. kinnaz Says:

    kinnaz@hardcore:~$ java -jar Lux-install.jar

    ** ERROR **: file ../../../src/libjava/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c: line 572 (createRawData): assertion failed: (data_fid != 0)
    aborting…
    Aborted

  4. Anonymous Says:

    If you get an error when installing Lux then I suggest you make sure you are trying it with Sun’s version of java (1.4 or 1.5 will work). There are some incomplete java implementations that can cause problems.

Leave a Reply

You must be logged in to post a comment.